/*
Theme Name: TedTaylerTheme
Author: Fulmen Media
Description: Custom child theme for the Ted Tayler website.
Template: twentytwentyfour
Version: 1.0
Text Domain: tedtaylertheme
*/

body, html {
  overflow-x: hidden;
}

.c-dark,
.c-dark * {
  color: #fff !important;
}

.c-light,
.c-light * {
  color: #000 !important;
}

.btn-light,
.btn-light *,
.btn-outline-light:hover,
.btn-outline-light:hover * {
  color: #000 !important;
}

.btn-dark,
.btn-dark *,
.btn-outline-dark:hover,
.btn-outline-dark:hover * {
  color: #fff !important;
}

.c-post * {
  color: #000 !important;
}

a:not(.btn),
a:not(.btn):focus,
a:not(.btn):active,
a:not(.btn):visited {
  text-decoration: none;
  font-weight: 600;
  transition: color 0.3s ease, text-decoration 0.3s ease;
}

a:not(.btn):hover {
  color: #1cbaa4 !important;
}

input {
  border-color: rgba(255, 255, 255, 0.3) !important;
  border-width: 2px !important;
  background: transparent !important;
  color: #fff !important;
}

::placeholder {
  color: #fff !important;
  opacity: 1;
}

.c-section {
  padding-top: 6rem;
  padding-bottom: 6rem;
}

.c-heading {
  font-size: 2.5rem;
  margin-bottom: 1.5rem;
  text-transform: uppercase;
  font-weight: 700;
}

.c-page-heading {
  font-size: 4.5rem;
  margin-bottom: 1.5rem;
  text-transform: uppercase;
  font-weight: 700;
}

/* Tablet (768px and above) */
@media (min-width: 768px) {
  .c-heading {
    font-size: 2.5rem;
  }
  .c-page-heading {
    font-size: 4.5rem;
  }
}

/* Desktop (1024px and above) */
@media (min-width: 1024px) {
  .c-heading {
    font-size: 4.2rem;
  }
  .c-page-heading {
    font-size: 6rem;
  }
}



.c-box-shadow {
  box-shadow: 0px 4px 12px 9px rgba(0, 0, 0, 0.5);
}

/* Bootstrap Overrides */

.btn {
  border-radius: 0 !important;
  padding-left: 2rem;
  padding-right: 2rem;
  padding-top: 0.5rem;
  padding-bottom: 0.5rem;
  font-weight: 600;
}

.btn-outline-light {
  border-color: rgba(255, 255, 255, 0.3);
  border-width: 2px;
}

.btn-outline-dark {
  border-color: rgba(0, 0, 0, 0.15);
  border-width: 2px;
}

.lead {
  font-weight: 600;
}